Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Jun 2010 00:27:58 +0200

> Wrong type argument: stringp, nil

Try "Options => Enter Debugger on Error" and reproduce the bug, to get
a backtrace.

> The fix is to stop using random mtn commands in vc-mtn and change the
> code to *only* use subcommands of 'mtn automate'.  'automate' is The
> interface to interact with monotone from other applications, because
> it exposes a stable interface with well-defined intput/output
> semantics.

Thank you, that is very useful to know.
I wrote vc-mtn.el a long time ago but don't actually use Monotone much
these days and don't have much time to devote to it, so if you could
help us fix it, that would be really appreciated.

        Stefan